commit:     d5ba6f61e50722a1a3908b1c38f6c43492c87c80
Author:     Lukas Schmelting <lschmelting <AT> posteo <DOT> com>
AuthorDate: Wed Aug  6 15:50:35 2025 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Thu Aug  7 09:58:29 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d5ba6f61

app-text/enchant: add 2.8.12

Signed-off-by: Lukas Schmelting <lschmelting <AT> posteo.com>
Part-of: https://github.com/gentoo/gentoo/pull/43353
Signed-off-by: Pacho Ramos <pacho <AT> gentoo.org>

 app-text/enchant/Manifest              |  1 +
 app-text/enchant/enchant-2.8.12.ebuild | 76 ++++++++++++++++++++++++++++++++++
 2 files changed, 77 insertions(+)

diff --git a/app-text/enchant/Manifest b/app-text/enchant/Manifest
index 026ec5f19485..871cb3000736 100644
--- a/app-text/enchant/Manifest
+++ b/app-text/enchant/Manifest
@@ -1,3 +1,4 @@
 DIST enchant-1.6.1.tar.gz 642124 BLAKE2B 
d41aa9b313e7fe8b0887728b55f3c5218e270c7359b4edcdc8d9180af68687230bcc9f7d1abb9f85ac673478530e5674366c9bc7d08b983e7226725b2cdd73d3
 SHA512 
26c62dfa89ee40150db502651a2f876fba00569b7015f205dae27a029557effacff335bbe36124dbe6686537da2305bcab02592179d03e95fdf9741d54b98036
 DIST enchant-2.6.1.tar.gz 1014436 BLAKE2B 
3df1d72d4fa2e912788d4e12e7bc4ab2676952e358e97457259284e78c32006482be0713059d5feeef56905e83ded975e7d723563c58e4f92c845b0b279a6827
 SHA512 
e2faabeb6a4edc7237a0a279b210512100fb1662b097cd23f0fc07a3519e48632e5527b0d393793a7623667011eae7e11f15fcddcaa155c4abd26ab6981ddf44
 DIST enchant-2.8.11.tar.gz 1254092 BLAKE2B 
c1f68ad42a1ba2b306afb2a7f1c596ea5aa48ecd78e6384600c778f53ed3d4b00a07f6491e79fc35aa4c12ae15d5a7bc66f134e737b286a6d8982b5b0b436dfd
 SHA512 
cf952f88acd99d04af1e7cde9a1e2f8e2352e7a09386fc3b10dbbf6e2d349ede357808afa27d9f0a2623cde5438dce5fb63448f1317436838d64af3b67ee0215
+DIST enchant-2.8.12.tar.gz 1254492 BLAKE2B 
208f9bdb24faebc0edef992667b54ceace86f992c79991ccf790ee3ef0eb8d1668d0c6bd0d0e14f6010d297caedc188909ffaba6416251bff0e864b6a6d85b16
 SHA512 
2bcd22afd97e348bc2925c41cb25f7aec9cb67debca4bcf58f6e30ac06dd09582e01896728e8943ba549b76854905b43b9d51c4ca720dd9e5dcd19d7c996d13b

diff --git a/app-text/enchant/enchant-2.8.12.ebuild 
b/app-text/enchant/enchant-2.8.12.ebuild
new file mode 100644
index 000000000000..6d6604d1e33c
--- /dev/null
+++ b/app-text/enchant/enchant-2.8.12.ebuild
@@ -0,0 +1,76 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit libtool
+
+DESCRIPTION="Spellchecker wrapping library"
+HOMEPAGE="https://github.com/rrthomas/enchant";
+SRC_URI="https://github.com/rrthomas/enchant/releases/download/v${PV}/${P}.tar.gz";
+
+LICENSE="LGPL-2.1+"
+SLOT="2"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~mips ~ppc ~ppc64 ~riscv 
~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos"
+
+IUSE="aspell +hunspell nuspell test voikko"
+RESTRICT="!test? ( test )"
+REQUIRED_USE="|| ( aspell hunspell nuspell )"
+
+COMMON_DEPEND="
+       >=dev-libs/glib-2.76:2
+       aspell? ( app-text/aspell )
+       hunspell? ( >=app-text/hunspell-1.2.1:0= )
+       nuspell? ( >=app-text/nuspell-5.1.0:0= )
+       voikko? ( dev-libs/libvoikko:= )
+"
+RDEPEND="${COMMON_DEPEND}
+       !<app-text/enchant-1.6.1-r2:0
+"
+DEPEND="${COMMON_DEPEND}
+       test? ( >=dev-libs/unittest++-2.0.0-r4 )
+"
+BDEPEND="
+       sys-apps/groff
+       virtual/pkgconfig
+"
+
+QA_CONFIG_IMPL_DECL_SKIP=(
+       alignof
+       static_assert
+       unreachable
+)
+
+src_prepare() {
+       default
+
+       # Force re-generation of Vala files
+       #
+       # TODO: Restore this, we can't currently because it relies on
+       # an unmerged binding (locale_from_utf8)
+       # See https://gitlab.gnome.org/GNOME/vala/-/merge_requests/391
+       #vala_setup
+       #find . -name '*.vala' -exec touch {} + || die
+
+       elibtoolize
+}
+
+src_configure() {
+       local myconf=(
+               --disable-gcc-warnings
+               $(use_enable test relocatable)
+               $(use_with aspell)
+               $(use_with hunspell)
+               $(use_with nuspell)
+               $(use_with voikko)
+               --without-hspell
+               --without-applespell
+               --without-zemberek
+       )
+       econf "${myconf[@]}"
+}
+
+src_install() {
+       default
+       find "${D}" -name '*.la' -delete || die
+}

Reply via email to